%define upstream_name    Olson-Abbreviations
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Globally unique timezones abbreviation handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Olson/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::ClassAttribute) >= 0.250.0
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module should help you with converting commonly used and often
ambigious olson abbreviations into TZ offset notation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.40.0-12.mga8
+ Revision: 1523798
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 0.40.0-11.mga7
+ Revision: 1374792
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-10.mga7
+ Revision: 1285456
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.40.0-9.mga7
+ Revision: 1166065
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.40.0-8.mga7
+ Revision: 1160514
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1031529
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 929727
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 749572
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.40.0-4.mga5
+ Revision: 732433
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 685790
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 527189
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.40.0-1.mga4
+ Revision: 439662
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 371117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 295206
- update to 0.03

* Mon Nov 07 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 164785
- imported package perl-Olson-Abbreviations


* Mon Nov 07 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
